## kaffeine-mozilla-trinity 14.2.0~pre7

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( kaffeine-mozilla )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${NSPR_INCLUDE_DIRS}
  ${X11_INCLUDE_DIR}
  ${X11_Xt_INCLUDE_PATH}
  ${LIBXAW7_INCLUDE_DIRS}
)

link_directories(
  ${LIBXAW7_LIBRARY_DIRS}
)


##### kaffeineplugin (module)

tde_add_library( kaffeineplugin MODULE

  SOURCES
        plugin.c
        npunix.c
  LINK
     ${X11_LIBRARIES}
     ${X11_Xt_LIB}
     ${LIBXAW7_LIBRARIES}
     ${MATH_LIBC}

  DESTINATION ${LIB_INSTALL_DIR}/mozilla/plugins
)

## kaffeine-mozilla-trinity 3.5.13.2

=== debian/changelog ===
kaffeine-mozilla-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 07 Jun 2013 03:03:32 +0200

kaffeine-mozilla-trinity (0.4.3.1.dfsg-0.2) karmic; urgency=low

  * Karmic upload

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 07 Dec 2009 00:26:00 -0600

kaffeine-mozilla (0.4.3.1.dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload
  * Repackaging source package; removing unclear licensed jri*.h files
    (Closes: 322961)
  * Removed the sources put in twice
  * Found the missing jri*.h files and jni*.h-files in mozilla-dev
    and changed the path to prtypes.h to make them usable.
    New files introduced in the diff.gz
  * Built and tested.

 -- Sune Vuorela <debian@pusling.com>  Wed, 14 Jun 2006 02:21:30 +0200

kaffeine-mozilla (0.4.3.1-1) unstable; urgency=low

  * This version corresponds to '0.2' upstream.
  * kaffeine-mozilla has been split from kaffeine at the source level
    upstream. Redid packaging.

 -- Zack Cerza <zcerza@coe.neu.edu>  Thu, 13 May 2004 18:28:05 -0400

=== debian/control ===
Source: kaffeine-mozilla-trinity
Section: web
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 4.0.0), quilt, libxaw7-dev, libnspr4-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kaffeine-mozilla-trinity
Architecture: any
Depends: kaffeine-trinity, ${shlibs:Depends}, ${misc:Depends}
Replaces: kaffeine-mozilla-kde3 (<< 4:3.5.13)
Breaks: kaffeine-mozilla-kde3 (<< 4:3.5.13)
Description: mozilla plugin that lanches kaffeine for supported media types [Trinity]
 This mozilla plugin launches kaffeine, the xine-based media player for KDE,
 when a page containing a supported media format is loaded.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status:
	dh_testdir

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh ltmain.sh

	aclocal	
	autoconf
	automake

	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/opt/trinity --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	


build: build-stamp

build-stamp: config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/kaffeine-mozilla.sgml > kaffeine-mozilla.1
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh ltmain.sh

	aclocal
	automake

	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/kaffeine-mozilla.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kaffeine-mozilla-trinity

	mkdir -p debian/kaffeine-mozilla-trinity/opt/trinity/lib/mozilla/ && \
	mv -f debian/kaffeine-mozilla-trinity/opt/trinity/plugins/ \
		debian/kaffeine-mozilla-trinity/opt/trinity/lib/mozilla/
	mkdir -p debian/kaffeine-mozilla-trinity/usr/lib/mozilla/plugins/
	mv debian/kaffeine-mozilla-trinity/opt/trinity/lib/mozilla/plugins/kaffeineplugin.so debian/kaffeine-mozilla-trinity/usr/lib/mozilla/plugins/kaffeineplugin-trinity.so
	mv debian/kaffeine-mozilla-trinity/opt/trinity/lib/mozilla/plugins/kaffeineplugin.la debian/kaffeine-mozilla-trinity/usr/lib/mozilla/plugins/kaffeineplugin-trinity.la
	mv debian/kaffeine-mozilla-trinity/opt/trinity/lib/mozilla/plugins/kaffeineplugin.a debian/kaffeine-mozilla-trinity/usr/lib/mozilla/plugins/kaffeineplugin-trinity.a
	rm -rf debian/kaffeine-mozilla-trinity/opt


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress -X.bz2 -X.css -X.dcl -X.docbook -X-license -X.tag
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kaffeine-mozilla-trinity 14.0.4

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:09:21 +0200

## kaffeine-mozilla-trinity 14.0.5

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:11:20 +0200

=== debian/control ===
Source: kaffeine-mozilla-trinity
Section: web
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 7.0.50~), libxaw7-dev, libnspr4-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: kaffeine-mozilla-trinity
Architecture: any
Depends: kaffeine-trinity, ${shlibs:Depends}, ${misc:Depends}
Replaces: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
Breaks: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
Description: mozilla plugin that lanches kaffeine for supported media types [Trinity]
 This mozilla plugin launches kaffeine, the xine-based media player for TDE,
 when a page containing a supported media format is loaded.

## kaffeine-mozilla-trinity 14.0.6

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:08:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Package: kaffeine-mozilla-trinity
 Architecture: any
 Depends: kaffeine-trinity, ${shlibs:Depends}, ${misc:Depends}
-Replaces: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
-Breaks: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
+Replaces: kaffeine-mozilla-trinity (<< 4:14.0.0~)
+Breaks: kaffeine-mozilla-trinity (<< 4:14.0.0~)
 Description: mozilla plugin that lanches kaffeine for supported media types [Trinity]
  This mozilla plugin launches kaffeine, the xine-based media player for TDE,
  when a page containing a supported media format is loaded.

## kaffeine-mozilla-trinity 14.0.8

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:45:23 +0200

## kaffeine-mozilla-trinity 14.0.9

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:17:21 +0200

## kaffeine-mozilla-trinity 14.0.10

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: kaffeine-mozilla-trinity
Section: web
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Uploaders: Riku Voipio <riku.voipio@iki.fi>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, pkg-config, libxaw7-dev, libnspr4-dev
Standards-Version: 3.8.4

Package: kaffeine-mozilla-trinity
Architecture: any
Depends: kaffeine-trinity, ${shlibs:Depends}, ${misc:Depends}
Replaces: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
Breaks: kaffeine-mozilla-kde3 (<< 4:14.0.0~), kaffeine-mozilla-trinity (<< 4:14.0.0~)
Description: mozilla plugin that lanches kaffeine for supported media types [Trinity]
 This mozilla plugin launches kaffeine, the xine-based media player for TDE,
 when a page containing a supported media format is loaded.

## kaffeine-mozilla-trinity 14.0.11

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 19 Oct 2021 19:23:18 +0200

## kaffeine-mozilla-trinity 14.0.12

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Dec 2021 13:02:33 +0100

## kaffeine-mozilla-trinity 14.0.13

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Jun 2022 16:19:58 +0200

## kaffeine-mozilla-trinity 14.1.0

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, pkg-config, libxaw7-dev, libnspr4-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, pkg-config, libxaw7-dev, libnspr4-dev
 Standards-Version: 3.8.4
 
 Package: kaffeine-mozilla-trinity

## kaffeine-mozilla-trinity 14.1.1

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kaffeine-mozilla-trinity 14.1.2

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 17 Mar 2024 13:10:52 +0100

## kaffeine-mozilla-trinity 14.1.3

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:11:41 +0200

## kaffeine-mozilla-trinity 14.2.0~pre7

=== debian/changelog ===
kaffeine-mozilla-trinity (4:14.2.0~pre7-0ubuntu24.10.0+2) oracular; urgency=low

  * Automated git build for d6ffa736852c6eb9cf919e8823bf0ff8d3b446c9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kaffeine-mozilla

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 10 Jan 2025 10:07:14 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Riku Voipio <riku.voipio@iki.fi>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, pkg-config, libxaw7-dev, libnspr4-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, pkg-config, libxaw7-dev, libnspr4-dev
 Standards-Version: 3.8.4
 
 Package: kaffeine-mozilla-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/usr" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"
